# class KActionCollection |
Definition | `#include <kaction.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KActionCollection ( QObject *parent = 0, const char *name = 0, KInstance *instance = 0 )
- KActionCollection ( const KActionCollection &copy )
- virtual ~KActionCollection ()
- virtual void insert ( KAction* )
- virtual void remove ( KAction* )
- virtual KAction* take ( KAction* )
- virtual KAction* action ( int index ) const
- virtual uint count () const
- bool isEmpty () const
- virtual KAction* action ( const char* name, const char* classname = 0 ) const
- virtual QStringList groups () const
- virtual QValueList<KAction*> actions ( const QString& group ) const
- virtual QValueList<KAction*> actions () const
- KActionCollection operator+ (const KActionCollection& ) const
- KActionCollection& operator= (const KActionCollection& )
- KActionCollection& operator+= (const KActionCollection& )
- virtual void setKeyMap ( const KKeyEntryMap& map )
- virtual KKeyEntryMap& keyMap ()
- void setInstance ( KInstance *instance )
- KInstance * instance () const
- void setHighlightingEnabled ( bool enable )
- bool highlightingEnabled () const
- void connectHighlight ( QWidget *container, KAction *action )
- void disconnectHighlight ( QWidget *container, KAction *action )

#### Signals

- void inserted ( KAction* )
- void removed ( KAction* )
- void actionHighlighted ( KAction *action )
- void actionHighlighted ( KAction *action, bool highlight )
- void actionStatusText ( const QString &text )
- void clearStatusText ()

#### Protected Methods

- virtual void childEvent ( QChildEvent * )

## Detailed Description

KActionCollection ( QObject *parent = 0, const char *name = 0, KInstance *instance = 0 ) | ### KActionCollection

KActionCollection ( const KActionCollection &copy ) | ### KActionCollection

~KActionCollection () | ### ~KActionCollection

[virtual]

void insert ( KAction* ) | ### insert

[virtual]

void remove ( KAction* ) | ### remove

[virtual]

KAction* take ( KAction* ) | ### take

[virtual]

KAction* action ( int index ) | ### action

[const virtual]

uint count () | ### count

[const virtual]

bool isEmpty () | ### isEmpty

[const]

KAction* action ( const char* name, const char* classname = 0 ) | ### action

[const virtual]

QStringList groups () | ### groups

[const virtual]

QValueList<KAction*> actions ( const QString& group ) | ### actions

[const virtual]

QValueList<KAction*> actions () | ### actions

[const virtual]

KActionCollection operator+ (const KActionCollection& ) | ### operator+

[const]

KActionCollection& operator= (const KActionCollection& ) | ### operator=

KActionCollection& operator+= (const KActionCollection& ) | ### operator+=

void setKeyMap ( const KKeyEntryMap& map ) | ### setKeyMap

[virtual]

KKeyEntryMap& keyMap () | ### keyMap

[virtual]

void setInstance ( KInstance *instance ) | ### setInstance

KInstance * instance () | ### instance

[const]

void setHighlightingEnabled ( bool enable ) | ### setHighlightingEnabled

bool highlightingEnabled () | ### highlightingEnabled

[const]

void connectHighlight ( QWidget *container, KAction *action ) | ### connectHighlight

void disconnectHighlight ( QWidget *container, KAction *action ) | ### disconnectHighlight

void inserted ( KAction* ) | ### inserted

[signal]

void removed ( KAction* ) | ### removed

[signal]

void actionHighlighted ( KAction *action ) | ### actionHighlighted

[signal]

void actionHighlighted ( KAction *action, bool highlight ) | ### actionHighlighted

[signal]

void actionStatusText ( const QString &text ) | ### actionStatusText

[signal]

void clearStatusText () | ### clearStatusText

[signal]

void childEvent ( QChildEvent * ) | ### childEvent

[protected virtual]

Reimplemented from QObject.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.